## dtl 1.20

=== test/SConstruct ===
# -*- coding: utf-8 -*-
# SConstrunct for dtl test

import os

def path_chomp(path):
    if path[-1] == '/':
        return path[:-1]
    return path

env  = Environment(
    CPPFLAGS=['-Wall', '-O2'],
    CPPPATH=['..'],
	CXXFLAGS="-std=c++11",
)

conf = Configure(env);

if not conf.CheckCXX():
    print("c++ compiler is not installed!")
    Exit(1)

libs = ['stdc++', 'pthread', 'gtest']
for lib in libs:
    if not conf.CheckLib(lib):
        print("library " + lib + " not installed!")
        Exit(1)

conf.Finish()

test = env.Program(
    'dtl_test',
    [Glob('*.cpp')],
)

test_alias = env.Alias(
    'check',
    test,
    test[0].abspath
)

env.AlwaysBuild(test_alias)

## dtl 1.19

=== debian/changelog ===
dtl (1.19-2) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 4.5.0 (no changes needed)
    - Switch to dh compat level 13 via debhelper-compat.
    - Set Multi-Arch: foreign.
    - Set Rules-Requires-Root: no.
  * d/copyright: Update copyright years.
  * debian/*: Rewrap (cosmetic, wrap-and-sort -ast).
  * Use Paride's DD email address (paride@debian.org).
  * Add upstream metadata file.

 -- Paride Legovini <paride@debian.org>  Tue, 03 Nov 2020 00:41:28 +0000

dtl (1.19-1) unstable; urgency=medium

  * Initial release. (Closes: #906102)

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 13 Aug 2018 17:14:01 +0000

=== debian/control ===
Source: dtl
Section: libdevel
Priority: optional
Maintainer: Paride Legovini <paride@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.0
Homepage: https://github.com/cubicdaiya/dtl
Vcs-Git: https://salsa.debian.org/debian/dtl.git
Vcs-Browser: https://salsa.debian.org/debian/dtl/
Rules-Requires-Root: no

Package: libdtl-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: diff template library written in C++
 dtl is a C++ template library which provides functions for comparing
 two sequences of arbitrary types. The sequences to be compared must
 support a random-access iterator.
 .
 The algorithm dtl uses is based on the paper "An O(NP) Sequence
 Comparison Algorithm" (1989) by Sun Wu, Udi Manber and Gene Myers. The
 computational complexity of Wu's Algorithm is O(N+PD) on average,
 and O(NP) in the worst case.

## dtl 1.20

=== debian/changelog ===
dtl (1.20-1) unstable; urgency=medium

  * New upstream version 1.20
  * d/gbp.conf: set debian-branch = debian/latest (DEP-14)
  * d/control: bump Standards-Version to 4.6.0 (no changes needed)
  * d/copyright: bump copyright years for debian/*

 -- Paride Legovini <paride@debian.org>  Mon, 16 May 2022 21:50:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Paride Legovini <paride@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/cubicdaiya/dtl
 Vcs-Git: https://salsa.debian.org/debian/dtl.git
 Vcs-Browser: https://salsa.debian.org/debian/dtl/

## dtl 1.21

=== debian/changelog ===
dtl (1.21-1) unstable; urgency=medium

  * New upstream vesion 1.21
  * d/control: bump Standards-Version to 4.7.0, no changes needed
  * d/copyright: update copyright years for debian/*
  * d/salsa-ci.yml: add salsa ci pipeline

 -- Paride Legovini <paride@debian.org>  Tue, 24 Sep 2024 12:26:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Paride Legovini <paride@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/cubicdaiya/dtl
 Vcs-Git: https://salsa.debian.org/debian/dtl.git
 Vcs-Browser: https://salsa.debian.org/debian/dtl/

=== debian/watch ===
version=4
opts="mode=git" https://github.com/cubicdaiya/dtl.git refs/tags/v([\d\.]+)
